package com.utopiaindustries.model.uind;

public class LocationSite {
    private long id;
    private String title;
    private String shortTitle;
    private String address;
    private boolean hasColony;

    public LocationSite() {}

    public LocationSite(long id, String title, String shortTitle, String address, boolean hasColony ) {
        this.id = id;
        this.title = title;
        this.shortTitle = shortTitle;
        this.address = address;
        this.hasColony = hasColony;
    }

    public long getId() {
        return id;
    }

    public void setId( long id ) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle( String title ) {
        this.title = title;
    }

    public String getShortTitle() {
        return shortTitle;
    }

    public void setShortTitle( String shortTitle ) {
        this.shortTitle = shortTitle;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress( String address ) {
        this.address = address;
    }

    public boolean getHasColony() {
        return hasColony;
    }

    public void setHasColony(boolean hasColony) {
        this.hasColony = hasColony;
    }

    @Override
    public String toString() {
        return "LocationSite{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", shortTitle='" + shortTitle + '\'' +
                ", address='" + address + '\'' +
                ", hasColony=" + hasColony +
                '}';
    }
}
